#include <iostream>
#include <libpq-fe.h>
#include "CivHydrFuncInter.h"

int main(int argc, char* argv[])
{

    const char* uri = "host=192.168.12.7 port=5432 dbname=2222 user=postgres password=admin";
    char* findUri = const_cast<char*>(uri);

    char net[128];
    char flag[128];
    const char* file = "test.inp";
    const char netName[128] = "进贤水力模型";

    strcpy_s(net, "进贤水力模型");
    strcpy_s(flag, "HDY");

    bool msg = simulation(findUri, net, flag);
    std::cout << msg << std::endl;
    getchar();

    return msg;
}